You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

54 lines
1.7 KiB

[package]
name = "git-transport"
version = "0.9.0"
repository = "https://github.com/Byron/gitoxide"
license = "MIT/Apache-2.0"
description = "A WIP crate of the gitoxide project dedicated to implementing the git transport layer"
authors = ["Sebastian Thiel <sebastian.thiel@icloud.com>"]
edition = "2018"
include = ["src/**/*"]
[lib]
doctest = false
[features]
default = []
serde1 = ["serde"]
http-client-curl = ["curl", "base64", "git-features/io-pipe", "blocking-client"]
blocking-client = ["maybe-async/is_sync", "git-packetline/blocking-io"]
[[test]]
name = "blocking-transport"
path = "tests/blocking-transport.rs"
required-features = ["blocking-client"]
[[test]]
name = "blocking-transport-http-only"
path = "tests/blocking-transport-http.rs"
required-features = ["http-client-curl"]
[[test]]
name = "async-transport"
path = "tests/async-transport.rs"
required-features = []
# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[dependencies]
git-features = { version = "^0.14.0", path = "../git-features" }
git-url = { version = "^0.3.0", path = "../git-url" }
git-packetline = { version = "^0.6.0", path = "../git-packetline" }
serde = { version = "1.0.114", optional = true, default-features = false, features = ["std", "derive"]}
quick-error = "2.0.0"
bstr = { version = "0.2.13", default-features = false, features = ["std"] }
# handle blocking/async versions
maybe-async = "0.2.4"
async-trait = { version = "0.1.50", optional = false }
# for http-client-curl
# zlib-ng-compat doesn't force zlib-ng
curl = { version = "0.4", optional = true, features = ["static-curl", "static-ssl", "zlib-ng-compat"] }
thiserror = "1.0.20"
base64 = { version = "0.13.0", optional = true }